]> git.sur5r.net Git - bacula/bacula/commitdiff
New tests
authorKern Sibbald <kern@sibbald.com>
Wed, 26 Mar 2008 10:49:59 +0000 (10:49 +0000)
committerKern Sibbald <kern@sibbald.com>
Wed, 26 Mar 2008 10:49:59 +0000 (10:49 +0000)
git-svn-id: https://bacula.svn.sourceforge.net/svnroot/bacula/trunk@6690 91ce42f0-d328-0410-95d8-f526ca767f89

regress/experimental-disk-tape [new file with mode: 0755]
regress/nightly-disk-tape [new file with mode: 0755]

diff --git a/regress/experimental-disk-tape b/regress/experimental-disk-tape
new file mode 100755 (executable)
index 0000000..cbe5376
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# test only the disk based regression scripts
+#
+# Include full output
+save_debug=${REGRESS_DEBUG}
+REGRESS_DEBUG=1
+export REGRESS_DEBUG
+svn update
+scripts/config_dart
+nice ctest -D Experimental -R "^(disk|tape):"
+if [ $? != 0 ] ; then
+   echo "ctest failed re-running Submit"
+   ctest -D ExperimentalSubmit
+fi
+REGRESS_DEBUG=${save_debug}
diff --git a/regress/nightly-disk-tape b/regress/nightly-disk-tape
new file mode 100755 (executable)
index 0000000..cbe5376
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# test only the disk based regression scripts
+#
+# Include full output
+save_debug=${REGRESS_DEBUG}
+REGRESS_DEBUG=1
+export REGRESS_DEBUG
+svn update
+scripts/config_dart
+nice ctest -D Experimental -R "^(disk|tape):"
+if [ $? != 0 ] ; then
+   echo "ctest failed re-running Submit"
+   ctest -D ExperimentalSubmit
+fi
+REGRESS_DEBUG=${save_debug}